Get Campaign
curl --request GET \
--url https://app.sentivue.com/talk/api/v1/campaign/{campaign_id}import requests
url = "https://app.sentivue.com/talk/api/v1/campaign/{campaign_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.sentivue.com/talk/api/v1/campaign/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workflow_id": "<string>",
"workflow_name": "<string>",
"state": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"total_rows": 123,
"processed_rows": 123,
"failed_rows": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"retry_config": {
"enabled": true,
"max_retries": 123,
"retry_delay_seconds": 123,
"retry_on_busy": true,
"retry_on_no_answer": true,
"retry_on_voicemail": true
},
"max_concurrency": 123,
"schedule_config": {
"enabled": true,
"timezone": "<string>",
"slots": [
{
"day_of_week": 123,
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"circuit_breaker": {
"enabled": false,
"failure_threshold": 0.5,
"window_seconds": 120,
"min_calls_in_window": 5
},
"executed_count": 0,
"total_queued_count": 0,
"contact_count": 0,
"in_flight_count": 0,
"failed_count": 0,
"retry_count": 0,
"retries_pending": 0,
"retry_breakdown": {
"busy": 0,
"no_answer": 0,
"voicemail": 0
},
"parent_campaign_id": "<string>",
"redialed_campaign_id": "<string>",
"telephony_configuration_id": "<string>",
"telephony_configuration_name": "<string>",
"logs": [
{
"ts": "<string>",
"level": "<string>",
"event": "<string>",
"message": "<string>",
"details": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Campaign
Retrieve a single campaign by ID
GET
/
api
/
v1
/
campaign
/
{campaign_id}
Get Campaign
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Retry attempts split by the outcome that triggered them.
Show child attributes
Show child attributes
Show child attributes
Show child attributes